
Redmine - Defect #1502

Target Version does not sort

2008-06-19 18:05 - Stuart George

Status: Closed Start date: 2008-06-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

I an running svn head (Redmine 0.7.devel.1557 (MySQL)), and clicking target version does not sort properly. The columns are all in

random order.

My versions, I guess are strings "0.4", "0.5", "0.6" and clicking target version just re-arranges the rows and seems to be putting it into

ID# order regardless doing it ascending or descending.

References #885, #832

All my other columns appear to sort fine.

Aaah it appears to be using the Version Effective Date, which I have as blank (NULL?), I only fill in the date when I cut that version

loose. In that sense it works and sorts my closed/released versions correctly.

I think it should sort by its Name field rather than its date field?

Related issues:

Has duplicate Redmine - Defect #3767: sorting issues list by target version d... Closed 2009-08-21

Has duplicate Redmine - Defect #2534: Sorting Tickets for Target Version does... Closed 2009-01-19

Associated revisions

Revision 2352 - 2009-02-01 21:57 - Jean-Philippe Lang

Include both version date and name when sorting issues by target version (#1502).

History

#1 - 2008-10-27 02:55 - Ewan Makepeace

I was about to report the same thing. Searching back this was reported before here: #885 and here #832 and reported fixed in r1264.

Not working any more...

#2 - 2008-11-20 07:21 - Ewan Makepeace

Aha now I see. That was honestly a horrible design decision! If you want to sort versions by target date (which makes sense) then make the date field

a required field. Sorting on an optional field is completely opaque to the user.

Can we not sort by date and name: ...ORDER BY targetVersion.Date, targetVersion.Name...

That way you still get date sorting where present and name sorting otherwise?

#3 - 2009-02-01 21:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2352. The sort now uses version date and name.
